import * as angular from "angular";

export const filterBoxModule = "seges.components.filterBox";

const template = require<string>("./filterBox.html");
import "./filterBox.scss";

export class FilterBox implements ng.IComponentController, FilterBoxBindings {
    placeholder: string;
    model: string;
}

interface FilterBoxBindings {
    placeholder: string;
    model: string;
}

angular
    .module(filterBoxModule, [])
    .component("filterBox", {
        controller: FilterBox,
        controllerAs: "filterBox",
        bindings: {
            placeholder: "@",
            model: "=",
        },
        template,
    });
